## dleyna-connector-dbus 0.4.1

=== meson_options.txt ===
option('log_level', type: 'array', choices : ['0', '1', '2', '3', '4', '5', '6', '7', '8'], value : ['7'])

## dleyna-connector-dbus 0.2.0

=== debian/changelog ===
dleyna-connector-dbus (0.2.0-1) unstable; urgency=low

  [ Emanuele Aina ]
  * New upstream release.
    + Change publish_object() signature
  * Bump Standards-Version to 3.9.5 (no changes).

  [ Logan Rosen ]
  * Use dh-autoreconf instead of autotools-dev to fix FTBFS on ppc64el

 -- Emanuele Aina <emanuele.aina@collabora.com>  Mon, 30 Dec 2013 12:50:15 +0100

dleyna-connector-dbus (0.1.0-1) unstable; urgency=low

  * Initial release. (Closes: #710235)

 -- Emanuele Aina <emanuele.aina@collabora.com>  Fri, 07 Jun 2013 14:16:28 +0200

=== debian/control ===
Source: dleyna-connector-dbus
Section: libs
Priority: optional
Maintainer: Emanuele Aina <emanuele.aina@collabora.com> 
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libglib2.0-dev,
               libdleyna-core-1.0-dev (>= 0.4.0),
               libdbus-1-dev
Standards-Version: 3.9.5
Homepage: https://01.org/dleyna/
Vcs-Git: git://anonscm.debian.org/collab-maint/pkg-dleyna-connector-dbus.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pkg-dleyna-connector-dbus.git;a=summary

Package: libdleyna-connector-dbus-1.0-1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: DBus connector module for the dLeyna services
 dleyna-connector-dbus is the loadable module providing DBus connectivity to
 the dLeyna services.
 .
 dLeyna is an umbrella project hosting a number of middleware components
 designed to make it easy for developers to integrate DLNA functionality into
 their applications.

Package: libdleyna-connector-dbus-1.0-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libdleyna-connector-dbus-1.0-1 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: DBus connector module for the dLeyna services (debug files)
 dleyna-connector-dbus is the loadable module providing DBus connectivity to
 the dLeyna services.
 .
 dLeyna is an umbrella project hosting a number of middleware components
 designed to make it easy for developers to integrate DLNA functionality into
 their applications.
 .
 This package contains the debug files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf --parallel

override_dh_strip:
	dh_strip --dbg-package=libdleyna-connector-dbus-1.0-dbg

# This is a runtime loaded module which is not installed in the dynamic linker
# search path, without the override lintian would complain about
# pkg-has-shlibs-control-file-but-no-actual-shared-libs
override_dh_makeshlibs:
	:

override_dh_install:
	dh_install --list-missing

## dleyna-connector-dbus 0.3.0

=== debian/changelog ===
dleyna-connector-dbus (0.3.0-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Update standards version to 4.5.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 19:24:21 +0100

dleyna-connector-dbus (0.3.0-2) unstable; urgency=low

  * QA upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Drop unnecessary dependency on dh-autoreconf.
  * Update standards version to 4.5.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 13 Feb 2021 01:31:04 +0000

dleyna-connector-dbus (0.3.0-1) unstable; urgency=medium

  * QA upload.
  * Upload to unstable
  * debian/control: Switch maintainer to the Debian QA Group as the package is
    orphaned (see: #873734)
  * debian/control: Bump the libdleyna-core-1.0-dev build-dependency to match
    the last release
  * debian/control: Bump Standards-Version to 4.4.1 (no further changes)
  * debian/control: Re-add the Vcs-* fields

 -- Laurent Bigonville <bigon@debian.org>  Wed, 01 Jan 2020 14:21:36 +0100

dleyna-connector-dbus (0.3.0-0.1) experimental; urgency=medium

  * Non maintainer upload
  * New upstream version
  * debian/compat: removed
  * debian/control:
    - bump debhelper to 12, update Standards-Versions
    - remove the dbg, replaced by a dbgsym
  * debian/rules:
    - tweaked for the new debhelper version
    - convert the dbg to a dbgsym

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 04 Jun 2019 16:52:06 +0200

=== debian/control ===
Source: dleyna-connector-dbus
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libglib2.0-dev,
               libdleyna-core-1.0-dev (>= 0.6.0),
               libdbus-1-dev
Standards-Version: 4.5.1
Homepage: https://01.org/dleyna/
Vcs-Git: https://salsa.debian.org/debian/dleyna-connector-dbus.git
Vcs-Browser: https://salsa.debian.org/debian/dleyna-connector-dbus

Package: libdleyna-connector-dbus-1.0-1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: DBus connector module for the dLeyna services
 dleyna-connector-dbus is the loadable module providing DBus connectivity to
 the dLeyna services.
 .
 dLeyna is an umbrella project hosting a number of middleware components
 designed to make it easy for developers to integrate DLNA functionality into
 their applications.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_strip:
	dh_strip --dbgsym-migration='libdleyna-connector-dbus-1.0-dbg (<< 0.6.0-0.1~)'

# This is a runtime loaded module which is not installed in the dynamic linker
# search path, without the override lintian would complain about
# pkg-has-shlibs-control-file-but-no-actual-shared-libs
override_dh_makeshlibs:
	:

override_dh_install:
	find debian -name '*.la' -print -delete
	dh_install

=== debian/watch ===
version=4
https://01.org/dleyna/downloads .*/dleyna-connector-dbus-(\d[\d\.]*)\.tar\.gz

## dleyna-connector-dbus 0.4.1

=== debian/changelog ===
dleyna-connector-dbus (0.4.1-1) unstable; urgency=medium

  * QA upload.
  * debian/watch: Follow phakos fork on github
    - Intel has discontinued the project.
  * debian/gbp.conf: Add with pristine-tar and upstream-vcs-tag
  * Set phakos github repo as Homepage
  * New upstream release.
  * debian/control: Update  build-deps according to upstream changes

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 20 Oct 2022 20:59:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13),
+               meson,
                libglib2.0-dev,
                libdleyna-core-1.0-dev (>= 0.6.0),
-               libdbus-1-dev
 Standards-Version: 4.5.1
-Homepage: https://01.org/dleyna/
+Homepage: https://github.com/phako/dleyna-connector-dbus
 Vcs-Git: https://salsa.debian.org/debian/dleyna-connector-dbus.git
 Vcs-Browser: https://salsa.debian.org/debian/dleyna-connector-dbus

=== debian/watch ===
version=4
opts="\
	dversionmangle=s/\+dfsg.*$//,\
	filenamemangle=s/.+\/[vV]?(\d\S+)\.tar\.gz/dleyna-connector-dbus-$1\.tar\.gz/,\
	repack,repacksuffix=+dfsg,\
" \
https://github.com/phako/dleyna-connector-dbus/tags .*/[vV]?(\d[^\s+]+)\.tar\.gz
